using System;
using System.Windows.Controls;

internal sealed class Delegate552 : MulticastDelegate
{
	public extern TabControl Invoke(object object_0);

	public static TabControl smethod_0(object object_0, Delegate552 delegate552_1)
	{
		return delegate552_1(object_0);
	}

	public extern Delegate552(object object_0, IntPtr intptr_0);

	static Delegate552()
	{
		Class10.smethod_13(typeof(Delegate552).TypeHandle);
	}

	internal static Delegate552 delegate552_0;
}
